textures/alluvium/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              

	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/alluvium/rockymud
{
	qer_editorimage textures/alluvium/terrain_floor.tga
	q3map_baseshader textures/alluvium/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	
	{
		map textures/alluvium/terrain_floor.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/alluvium/mudroots
{
	qer_editorimage textures/alluvium/rooted_terrain.tga
	q3map_baseshader textures/alluvium/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	
	{
		map textures/alluvium/rooted_terrain.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/alluvium/tele
{      
	qer_editorImage textures/alluvium/teleport.tga
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	noPicMip 
	deformVertexes autosprite
	{
		clampMap textures/alluvium/teleglow.tga
		blendFunc filter
		alphaGen vertex
		//tcMod stretch sin 0.4 0.1 0 0.8
		//alphagen wave sin .75 .5 .6 1.5
		//alphaGen const 0.1
	}
	{
		clampMap textures/alluvium/teleport.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
		
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/alluvium/teleport.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/alluvium/teleport.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.6 1.0
		tcMod rotate 11
		alphagen wave sin .75 .5 .6 1.5
	}
}