textures/surmount/wood
{
	surfaceparm woodsteps
	implicitMap -
}

textures/surmount/terrain
{
	surfaceparm snowsteps
	implicitMap -
}

textures/surmount/terrain_2
{
	surfaceparm snowsteps
	implicitMap -
}

textures/surmount/blended
{
	surfaceparm snowsteps
	implicitMap -
}

textures/surmount/ice
{
	qer_editorimage textures/surmount/slick.tga	
	surfaceparm slick
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
            map textures/surmount/slick.tga
		blendFunc GL_DST_COLOR GL_ZERO
	      rgbGen identity //vertex
	}  
	{
   	      map textures/surmount/ice_sfx.tga
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
    		rgbGen identity //vertex
    		tcGen environment
    }
}

textures/surmount/b_water
{
	qer_editorimage textures/surmount/water.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	q3map_surfacelight 400
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip
	{
		map textures/surmount/water.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
		fog on
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
		fog on
	}
}

textures/surmount/g_water
{
	qer_editorimage textures/surmount/water_green.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	q3map_surfacelight 400
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip
	{
		map textures/surmount/water_green.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
		fog on
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
		fog on
	}
}
